GEThttps://api.breeze.blue/v1/history

List history items

List text-to-speech history items.

Authentication

API key: Send your Breeze Developer API key with the xi-api-key header.

Headers

FieldTypeDescription
xi-api-keyrequiredstringYour Breeze Developer API key. See authentication.

Query parameters

FieldTypeDescription
voice_idstringFilter by voice_id.
model_idstringFilter by model_id.
searchstringFilter by script text.
sort_directionstring
default: desc
Sort direction: asc or desc.
start_after_history_item_idstringCursor for forward pagination.
fromstringNo description provided.
tostringNo description provided.
status_classstringNo description provided.
pageinteger
default: 1
Page number for offset pagination.
page_sizeinteger
default: 50
Records per page.

Example request

python import os from breeze_blue import BreezeBlue client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"]) items = client.history.list() for item in items["history"]: print(item["history_item_id"], item["text"]) typescript import { BreezeBlueClient } from "@breeze.blue/sdk"; const client = new BreezeBlueClient({ apiKey: process.env.BREEZE_API_KEY!, }); const items = await client.history.list(); for (const item of items.history) { console.log(item.historyItemId, item.text); } curl curl "https://api.breeze.blue/v1/history" \ -H "xi-api-key: $BREEZE_API_KEY"
import os

from breeze_blue import BreezeBlue

client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

items = client.history.list()
for item in items["history"]:
    print(item["history_item_id"], item["text"])

Response

Paginated history list.

Content types: application/json

Response headers:

  • x-breeze-api-key-id: Public API key identifier used to authenticate the request, when an API key was used.
{
  "history": [
    {
      "history_item_id": "hist_01haudio",
      "voice_id": "voc_xeh3w54cqvnp",
      "voice_name": "Example",
      "voice_category": "string",
      "model_id": "model_id_01h",
      "text": "Hello from Breeze Blue.",
      "source": "string",
      "state": "string",
      "content_type": "audio/mpeg",
      "date_unix": 1,
      "request_id": "request_id_01h",
      "latency_ms": 1,
      "http_status": 200,
      "billable_units": 1,
      "cost": 0.128,
      "cost_millicredits": 1
    }
  ],
  "has_more": true,
  "last_history_item_id": "last_history_item_id_01h",
  "total": 1,
  "page": 1,
  "page_size": 1
}

Errors

  • BAD_REQUESTOne of the filter values is not valid for this endpoint.

See the full list on errors.